Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.common
Class Argument

    java.lang.Object
      oracle.ifs.utils.common.Argument

All Implemented Interfaces:
  java.io.Serializable

    public final class Argument

extends java.lang.Object
implements java.io.Serializable

Commandline argument class ---

See Also:
  Serialized Form
(Published)

Constructor Summary
`Argument(java.lang.String flag, java.lang.String arg)` Constructs a commandline Argument, which consists of a flag and an optional arg value.

Method Summary
`void` | `appendArgValue(java.lang.String arg)` Appends to the argument value.
`java.lang.String` | `getArgValue()` Returns the argument value, or null if a flag argument that has no arg accompanying it.
`java.lang.String` | `getFlag()` Returns the flag, or null if a positional argument.
`void` | `setArgValue(java.lang.String arg)` Sets the argument value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Argument

    public Argument(java.lang.String flag,
                    java.lang.String arg)

  Constructs a commandline Argument, which consists of a flag and an optional arg value. If flag is null, that implies that this is a positional argument; if arg is null, it implies that this is a flag specification only. These strings cannot both be null.

  Parameters:
    `flag` - the flag (if any)
    `arg` - the arg (if any)
  (Published)

Method Detail

### getFlag

    public java.lang.String getFlag()

  Description copied from class: `Argument`
  Returns the flag, or null if a positional argument.

  Returns:
    the flag, or null if a positional argument.
  (Published)

### getArgValue

    public java.lang.String getArgValue()

  Description copied from class: `Argument`
  Returns the argument value, or null if a flag argument that has no arg accompanying it.

  Returns:
    the argument value, or null if a flag argument that has no arg accompanying it.
  (Published)

### setArgValue

    public void setArgValue(java.lang.String arg)

  Description copied from class: `Argument`
  Sets the argument value.

  Parameters:
    `arg` - the argument value, or null if a flag argument that has no arg accompanying it.
  (Published)

### appendArgValue

    public void appendArgValue(java.lang.String arg)

  Description copied from class: `Argument`
  Appends to the argument value.

  Parameters:
    `arg` - the argument value to append
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD